Closed Bug 1535867 Opened 3 years ago Closed 3 years ago

[Android Q] Startup crash E/GeckoSearchEngineManager: Error creating shipped search engine from name: Google

Categories

(Firefox for Android Graveyard :: General, defect, P1)

ARM
Android
defect

Tracking

(firefox66+ wontfix, firefox67+ fixed, firefox68+ fixed)

RESOLVED DUPLICATE of bug 1543555
Tracking Status
firefox66 + wontfix
firefox67 + fixed
firefox68 + fixed

People

(Reporter: remi.piotaix, Unassigned)

References

Details

(Keywords: crash)

Attachments

(1 file)

749.11 KB, text/plain
Details

User Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36

Steps to reproduce:

Upgraded Pixel 2 XL to Android Q
Unable to open Firefox

Actual results:

The app opens, the previous visited page opens and the app crashes.
From Android Studio log tab:
2019-03-16 23:53:00.025 7459-7482/? E/GeckoSearchEngineManager: Error creating shipped search engine from name: Google
org.json.JSONException: No value for default
at org.json.JSONObject.get(JSONObject.java:399)
at org.json.JSONObject.getJSONObject(JSONObject.java:619)
at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:623)
at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:502)
at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
at android.os.Handler.handleCallback(Handler.java:873)
at android.os.Handler.dispatchMessage(Handler.java:99)
at android.os.Looper.loop(Looper.java:209)
at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
2019-03-16 23:53:00.025 7459-7482/? E/GeckoSearchEngineManager: Could not find search plugin files in profile directory
2019-03-16 23:53:00.025 7459-7482/? E/GeckoSearchEngineManager: Could not create search engine from name: Google

Bug 1535196 was filed to address the startup crashes on Stable and Beta - I assume you were launching one of those two? Thanks.

Flags: needinfo?(remi.piotaix)

The symptoms seems to be the same. However, from the logcat posted and the stacktrace I have, it seems to be 2 different bugs.

Flags: needinfo?(remi.piotaix)
See Also: → 1535196

I actually just retested this on my Pixel with Android Q and I can see a similar error relating to the search engine:

03-18 15:07:09.313 5082 5117 D GeckoSearchEngineManager: Found default engine name in SharedPreferences: Google
03-18 15:07:09.326 5082 5117 E GeckoSearchEngineManager: Could not find search plugin files in profile directory
03-18 15:07:09.326 5082 5117 E GeckoSearchEngineManager: Could not create search engine from name: Google

Release and beta are 65/66 until we ship tomorrow (and nightly 67/now 68) doesn't crash on the same phone. Do we think this could be related in some way to Bug 1518514? adding ni on mkaply in case he has any insight.

Flags: needinfo?(mozilla)
Priority: -- → P1

I will confirm this issue based on the fact that I was able to reproduce the issue on the latest Nightly 68.0a1 (2019-03-19), RC 66.0 build 3 and Beta 67.0b3, following the steps from Comment 0.
The device was Google Pixel (Android Q).

Thanks!

Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: crash
OS: Unspecified → Android
Hardware: Unspecified → ARM
Version: Firefox 65 → Trunk
Attached file logcat

I`ve attached a logcat.
I tried to open Firefox RC, then Nightly, then Beta.

The final fix for this was here:

https://bugzilla.mozilla.org/show_bug.cgi?id=1522151

And it got uplifted to 66. So while it might be related, it's not the same thing.

And this definitely only happens on Android Q?

I'm trying to recreate this and getting different startup crashes and other problems.

I also can't use https at all

Can you connect to https sites?

Flags: needinfo?(mozilla)

Also, on the failing device, can you go to resource://search-plugins/list.json and put the contents here?

Marking this as tracking while we investigate, because it sounds pretty bad.
Android Q release date is likely in August.

(In reply to Mike Kaply [:mkaply] from comment #7)

Also, on the failing device, can you go to resource://search-plugins/list.json and put the contents here?

I put that in the nightly browser and I get a File Not found. Cannot do it on the beta or stable because they insta crash for me.

As far as your other question, on Nightly I can connect to https sites.

Mike - would you agree this isn't something we need to fix for 66?

Flags: needinfo?(mozilla)

Mirabela, does this also happen with the reference browser or Focus?

Flags: needinfo?(mirabela.lobontiu)

(In reply to Liz Henry (:lizzard) (use needinfo) from comment #11)

Mirabela, does this also happen with the reference browser or Focus?

Liz, this doesn't happen with Focus or the reference browser.

Flags: needinfo?(mirabela.lobontiu)

Firefox Nightly for Developers (it in Play under that name) as of 25 March 2019 works, so they evidently fixed whatever was causing it to close.

(In reply to alklein012 from comment #13)

Firefox Nightly for Developers (it in Play under that name) as of 25 March 2019 works, so they evidently fixed whatever was causing it to close.

Not sure if Nightly was ever crashing. As of today's build, my Firefox Stable and Beta are both still crashing. Bug 1535196 was initially filed before this bug but we are not sure if this bug is the same issue. I am not sure if the reporter of this bug was using nightly or not. I asked in a earlier comment - remi can you please clarify which version of Firefox you are using on your device? Thanks.

Flags: needinfo?(remi.piotaix)

Bug 1535196 is not search related. From the log:

03-15 14:44:11.143 24291 24313 D GeckoSearchEngineManager: Found default engine name in SharedPreferences: Google

The bug you are seeing seems to happen only with new profiles.

Flags: needinfo?(mozilla)

To be more clear, the above error was the only one in the log.

As far as fixing for 66, yes, we should track there if Android Q is near.

I'm rebuilding with beta to see if I can recreate.

(In reply to Marcia Knous [:marcia - needinfo? me] from comment #14)

(In reply to alklein012 from comment #13)

Firefox Nightly for Developers (it in Play under that name) as of 25 March 2019 works, so they evidently fixed whatever was causing it to close.

Not sure if Nightly was ever crashing. As of today's build, my Firefox Stable and Beta are both still crashing. Bug 1535196 was initially filed before this bug but we are not sure if this bug is the same issue. I am not sure if the reporter of this bug was using nightly or not. I asked in a earlier comment - remi can you please clarify which version of Firefox you are using on your device? Thanks.

I was using 65.
I updated to 66 after its release as stable. Result is still the same: Firefox crashes after starting.
Not able to get a logcat before this eve. to check if the error is the same, though.

Flags: needinfo?(remi.piotaix)

(In reply to Mike Kaply [:mkaply] from comment #16)

As far as fixing for 66, yes, we should track there if Android Q is near.

Android Q beta is out, and stable enough to use as a daily driver. (I've been on it for a few days - the only major problems I've found are apps that haven't been updated to it - like Firefox.)

I can't give you the version of Firefox I was running from FF itself (since it just so silently closes), but I updated to what's claimed to be 65.0.1 on Play, and it still closes.

Oh, and the nightly keeps wanting me to log into sync, then tells me that I'm already logged in - but it doesn't sync anything.

Fennec on Android Q is incredibly crashy for me in the emulator. I honestly can't debug anything (I never get to the search crash).

I still can't do HTTPS (which might be the source of all my problems).

We're going to need to get someone from the Fennec team involved here.

Can I work on this?
Also, where can I find an ARM system image for Android Q? Currently, Android Studio has ARM images only until Nougat. They no longer seem to be releasing ARM system images for newer versions of Android.

Flags: needinfo?(mozilla)

Same here:

2019-03-27 09:49:40.578 31192-31215/? E/GeckoSearchEngineManager: Error getting engine list
    org.json.JSONException: No value for default
        at org.json.JSONObject.get(JSONObject.java:399)
        at org.json.JSONObject.getJSONObject(JSONObject.java:619)
        at org.mozilla.gecko.search.SearchEngineManager.getEngineListFromJSON(SearchEngineManager.java:650)
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:614)
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
        at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
        at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
        at android.os.Handler.handleCallback(Handler.java:873)
        at android.os.Handler.dispatchMessage(Handler.java:99)
        at android.os.Looper.loop(Looper.java:209)
        at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
2019-03-27 09:49:40.578 31192-31215/? E/GeckoSearchEngineManager: Error creating shipped search engine from name: Google
    java.lang.NullPointerException: Attempt to invoke virtual method 'int java.util.ArrayList.size()' on a null object reference
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:616)
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
        at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
        at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
        at android.os.Handler.handleCallback(Handler.java:873)
        at android.os.Handler.dispatchMessage(Handler.java:99)
        at android.os.Looper.loop(Looper.java:209)
        at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
2019-03-27 09:49:40.578 31192-31215/? E/GeckoSearchEngineManager: Could not find search plugin files in profile directory
2019-03-27 09:49:40.578 31192-31215/? E/GeckoSearchEngineManager: Could not create search engine from name: Google

Happening on 66.0.1 stable

On the beta (67.0) the line numbers are slightly different:

2019-03-27 09:55:00.452 31508-31532/? E/GeckoSearchEngineManager: Error getting engine list
    org.json.JSONException: No value for default
        at org.json.JSONObject.get(JSONObject.java:399)
        at org.json.JSONObject.getJSONObject(JSONObject.java:619)
        at org.mozilla.gecko.search.SearchEngineManager.getEngineListFromJSON(SearchEngineManager.java:650)
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:614)
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
        at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
        at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
        at android.os.Handler.handleCallback(Handler.java:873)
        at android.os.Handler.dispatchMessage(Handler.java:99)
        at android.os.Looper.loop(Looper.java:209)
        at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:41)
2019-03-27 09:55:00.453 31508-31532/? E/GeckoSearchEngineManager: Error creating shipped search engine from name: Google
    java.lang.NullPointerException: Attempt to invoke virtual method 'int java.util.ArrayList.size()' on a null object reference
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:616)
        at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
        at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
        at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
        at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
        at android.os.Handler.handleCallback(Handler.java:873)
        at android.os.Handler.dispatchMessage(Handler.java:99)
        at android.os.Looper.loop(Looper.java:209)
        at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:41)
2019-03-27 09:55:00.453 31508-31532/? E/GeckoSearchEngineManager: Could not find search plugin files in profile directory
2019-03-27 09:55:00.453 31508-31532/? E/GeckoSearchEngineManager: Could not create search engine from name: Google

In the nightly verything runs fine.

I do not know if you still need additional traces.
But here are mines.

System information:

  • Model: Pixel XL
  • Android Version: Q
  • Build-Number: QPP1.190205.018.B4

The specific app is started while logcat is used with log level set to warning.
As known the app crashes after start and no system specific feedback agent is shown.

Log for current Firefox 66.0.2

03-31 11:29:32.095 18943 18943 E mozilla.firefo: Not starting debugger since process cannot load the jdwp agent.
03-31 11:29:32.271 18943 18943 W ActivityThread: handleWindowVisibility: no activity for token android.os.BinderProxy@f66840e
03-31 11:29:32.359 18943 18967 W Settings: Setting animator_duration_scale has moved from android.provider.Settings.System to android.provider.Settings.Global, returning read-only global URI.
03-31 11:29:32.360 18943 18967 E GeckoLibLoad: Load sqlite start
03-31 11:29:32.378 18943 18967 W GeckoLinker: /data/app/org.mozilla.firefox-zL9G31m2r5XWN5fqVSjLow==/lib/arm/libnss3.so: Relocation to NULL @0x001205c0 for symbol "__cxa_type_match"
03-31 11:29:32.378 18943 18967 E GeckoLibLoad: Load sqlite done
03-31 11:29:32.378 18943 18967 E GeckoLibLoad: Load nss start
03-31 11:29:32.378 18943 18967 E GeckoLibLoad: Load nss done
03-31 11:29:32.416 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.416 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.416 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.416 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.417 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.417 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.418 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.420 18943 18967 E GeckoLibLoad: Loaded libs in 42.015942ms total, 13ms(50ms) user, 6ms(10ms) system, 0(0) faults
03-31 11:29:32.421 18943 18967 W GeckoThread: zerdatime 258877698 - runGecko
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.436 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:29:32.437 18943 18943 E mozilla.firefo: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:29:32.496 18943 18943 F Adjust  : PRODUCTION: Adjust is running in Production mode. Use this setting only for the build that you want to publish. Set the environment to `sandbox` if you want to test your app!
03-31 11:29:32.522 18943 18980 E ActivityThread: Failed to find provider info for com.facebook.katana.provider.AttributionIdProvider
03-31 11:29:32.570   609 18979 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:29:32.791   475   475 W hwservicemanager: getTransport: Cannot find entry android.hardware.graphics.mapper@3.0::IMapper/default in either framework or device manifest.
03-31 11:29:32.791 18943 18989 W Gralloc3: mapper 3.x is not supported
03-31 11:29:32.868   939  3682 E InputDispatcher: Window handle Window{35d6d81 u0 Splash Screen org.mozilla.firefox} has no registered input channel
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager: Error getting engine list
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager: org.json.JSONException: No value for default
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.json.JSONObject.get(JSONObject.java:399)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.json.JSONObject.getJSONObject(JSONObject.java:619)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.getEngineListFromJSON(SearchEngineManager.java:650)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:614)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at android.os.Handler.handleCallback(Handler.java:873)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at android.os.Handler.dispatchMessage(Handler.java:99)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at android.os.Looper.loop(Looper.java:209)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager: Error creating shipped search engine from name: Google
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager: java.lang.NullPointerException: Attempt to invoke virtual method 'int java.util.ArrayList.size()' on a null object reference
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:616)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at android.os.Handler.handleCallback(Handler.java:873)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at android.os.Handler.dispatchMessage(Handler.java:99)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at android.os.Looper.loop(Looper.java:209)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager:      at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager: Could not find search plugin files in profile directory
03-31 11:29:33.011 18943 18965 E GeckoSearchEngineManager: Could not create search engine from name: Google
03-31 11:29:33.285   609 19003 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:29:33.286   939  3886 W ActivityManager: Receiver with filter android.content.IntentFilter@861c7c2 already registered for pid 18943, callerPackage is org.mozilla.firefox
03-31 11:29:33.287 18943 19001 W GeckoTelemetryUploadSer: HttpIOException when trying to upload telemetry
03-31 11:29:33.298 18943 18967 W GeckoEventDispatcher: No listener for AndroidCastDevice:SyncDevice
03-31 11:29:33.434 18943 19011 W InstanceID: Instance ID SDK is deprecated, org.mozilla.firefox should update to use Firebase Instance ID
03-31 11:29:33.452   609 19014 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:29:33.884 18943 18967 W GeckoLinker: /data/app/org.mozilla.firefox-zL9G31m2r5XWN5fqVSjLow==/lib/arm/libsoftokn3.so: Relocation to NULL @0x000223d0 for symbol "__cxa_type_match"
03-31 11:29:33.896 18943 18967 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
03-31 11:29:33.897 18943 18967 W google-breakpad: 19029
03-31 11:29:33.897 18943 18967 W google-breakpad: 
03-31 11:29:33.897 18943 18967 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
03-31 11:29:33.897 19029 18967 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
03-31 11:29:34.844   804   872 E statsd  : Found dropped events: 1 error -19
03-31 11:29:34.917   939  3886 W ActivityManager: Permission Denial: ActivityManagerShellCommand asks to run as user -2 but is calling from user 0; this requires android.permission.INTERACT_ACROSS_USERS_FULL
03-31 11:29:34.959   939  1116 W libprocessgroup: kill(-18943, 9) failed: No such process
03-31 11:29:34.969   939  4098 W ActivityTaskManager: Force removing ActivityRecord{9ed4a4d u0 org.mozilla.firefox/org.mozilla.gecko.BrowserApp t40976}: app died, no saved state
03-31 11:29:34.994   939  1122 W ActivityManager: setHasOverlayUi called on unknown pid: 18943
03-31 11:29:35.004   939  1116 W libprocessgroup: kill(-18943, 9) failed: No such process
03-31 11:29:35.005   939  2029 W ActivityManager: Unable to start service Intent { act=com.android.launcher3.WINDOW_OVERLAY dat=app://com.google.android.apps.nexuslauncher:10032?v=9&cv=14 pkg=com.google.android.googlequicksearchbox } U=0: not found

Log for current Firefox Beta 67.0

03-31 11:34:15.357 19566 19566 E la.firefox_bet: Not starting debugger since process cannot load the jdwp agent.
03-31 11:34:15.562 19566 19566 W ActivityThread: handleWindowVisibility: no activity for token android.os.BinderProxy@f66840e
03-31 11:34:15.597 12695 12708 W System  : A resource failed to call close. 
03-31 11:34:15.597 12695 12708 W System  : A resource failed to call close. 
03-31 11:34:15.643 19566 19591 W Settings: Setting animator_duration_scale has moved from android.provider.Settings.System to android.provider.Settings.Global, returning read-only global URI.
03-31 11:34:15.644 19566 19591 E GeckoLibLoad: Load sqlite start
03-31 11:34:15.656 19566 19591 W GeckoLinker: /data/app/org.mozilla.firefox_beta-RjqSqD4WDIa-gDgCZN1BCA==/lib/arm/libnss3.so: Relocation to NULL @0x001215b8 for symbol "__cxa_type_match"
03-31 11:34:15.657 19566 19591 E GeckoLibLoad: Load sqlite done
03-31 11:34:15.657 19566 19591 E GeckoLibLoad: Load nss start
03-31 11:34:15.657 19566 19591 E GeckoLibLoad: Load nss done
03-31 11:34:15.683 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.683 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.683 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.683 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.683 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.683 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.685 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.706 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.706 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.706 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.706 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.706 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.706 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f1101cc of bag 0x7f11020f.
03-31 11:34:15.707 19566 19566 E la.firefox_bet: Failed to find parent 0x7f11020f of bag 0x7f1101ee.
03-31 11:34:15.718 19566 19591 E GeckoLibLoad: Loaded libs in 61.651100ms total, 13ms(63ms) user, 16ms(16ms) system, 49(57) faults
03-31 11:34:15.719 19566 19591 W GeckoThread: zerdatime 259160996 - runGecko
03-31 11:34:15.759 19566 19589 E GeckoApp: An error occurred during restore, switching to backup file
03-31 11:34:15.759 19566 19589 E GeckoApp: org.mozilla.gecko.GeckoApp$SessionRestoreException: Could not read from session file
03-31 11:34:15.759 19566 19589 E GeckoApp:      at org.mozilla.gecko.GeckoApp.restoreSessionTabs(GeckoApp.java:1700)
03-31 11:34:15.759 19566 19589 E GeckoApp:      at org.mozilla.gecko.GeckoApp.access$200(GeckoApp.java:117)
03-31 11:34:15.759 19566 19589 E GeckoApp:      at org.mozilla.gecko.GeckoApp$9.run(GeckoApp.java:1209)
03-31 11:34:15.759 19566 19589 E GeckoApp:      at android.os.Handler.handleCallback(Handler.java:873)
03-31 11:34:15.759 19566 19589 E GeckoApp:      at android.os.Handler.dispatchMessage(Handler.java:99)
03-31 11:34:15.759 19566 19589 E GeckoApp:      at android.os.Looper.loop(Looper.java:209)
03-31 11:34:15.759 19566 19589 E GeckoApp:      at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:41)
03-31 11:34:15.760 19566 19589 E GeckoApp: An error occurred during restore
03-31 11:34:15.760 19566 19589 E GeckoApp: org.mozilla.gecko.GeckoApp$SessionRestoreException: Could not read from session file
03-31 11:34:15.760 19566 19589 E GeckoApp:      at org.mozilla.gecko.GeckoApp.restoreSessionTabs(GeckoApp.java:1700)
03-31 11:34:15.760 19566 19589 E GeckoApp:      at org.mozilla.gecko.GeckoApp.access$200(GeckoApp.java:117)
03-31 11:34:15.760 19566 19589 E GeckoApp:      at org.mozilla.gecko.GeckoApp$9.run(GeckoApp.java:1227)
03-31 11:34:15.760 19566 19589 E GeckoApp:      at android.os.Handler.handleCallback(Handler.java:873)
03-31 11:34:15.760 19566 19589 E GeckoApp:      at android.os.Handler.dispatchMessage(Handler.java:99)
03-31 11:34:15.760 19566 19589 E GeckoApp:      at android.os.Looper.loop(Looper.java:209)
03-31 11:34:15.760 19566 19589 E GeckoApp:      at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:41)
03-31 11:34:15.776 19566 19566 F Adjust  : PRODUCTION: Adjust is running in Production mode. Use this setting only for the build that you want to publish. Set the environment to `sandbox` if you want to test your app!
03-31 11:34:15.792 19566 19600 E ActivityThread: Failed to find provider info for com.facebook.katana.provider.AttributionIdProvider
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager: Error getting engine list
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager: org.json.JSONException: No value for default
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.json.JSONObject.get(JSONObject.java:399)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.json.JSONObject.getJSONObject(JSONObject.java:619)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.getEngineListFromJSON(SearchEngineManager.java:650)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:614)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at android.os.Handler.handleCallback(Handler.java:873)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at android.os.Handler.dispatchMessage(Handler.java:99)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at android.os.Looper.loop(Looper.java:209)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:41)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager: Error creating shipped search engine from name: Google
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager: java.lang.NullPointerException: Attempt to invoke virtual method 'int java.util.ArrayList.size()' on a null object reference
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromLocale(SearchEngineManager.java:616)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.createEngineFromName(SearchEngineManager.java:509)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager.access$400(SearchEngineManager.java:55)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.defaultBehavior(SearchEngineManager.java:290)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.search.SearchEngineManager$GetDefaultEngineDistributionCallbacks.distributionNotFound(SearchEngineManager.java:220)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.distribution.Distribution$4.run(Distribution.java:1098)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at android.os.Handler.handleCallback(Handler.java:873)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at android.os.Handler.dispatchMessage(Handler.java:99)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at android.os.Looper.loop(Looper.java:209)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager:      at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:41)
03-31 11:34:15.808 19566 19589 E GeckoSearchEngineManager: Could not find search plugin files in profile directory
03-31 11:34:15.809 19566 19589 E GeckoSearchEngineManager: Could not create search engine from name: Google
03-31 11:34:15.817   609 19597 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.092   475   475 W hwservicemanager: getTransport: Cannot find entry android.hardware.graphics.mapper@3.0::IMapper/default in either framework or device manifest.
03-31 11:34:16.093 19566 19612 W Gralloc3: mapper 3.x is not supported
03-31 11:34:16.119   939  3886 E InputDispatcher: Window handle Window{7509172 u0 Splash Screen org.mozilla.firefox_beta} has no registered input channel
03-31 11:34:16.119   939  3886 E InputDispatcher: Window handle Window{7509172 u0 Splash Screen org.mozilla.firefox_beta} has no registered input channel
03-31 11:34:16.371   609 19630 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.429   609 19631 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.465 19566 19614 W Settings: Setting airplane_mode_on has moved from android.provider.Settings.System to android.provider.Settings.Global, returning read-only value.
03-31 11:34:16.649 19566 19566 W Settings: Setting airplane_mode_on has moved from android.provider.Settings.System to android.provider.Settings.Global, returning read-only value.
03-31 11:34:16.681   609 19642 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.683 19566 19616 W GeckoTelemetryUploadSer: HttpIOException when trying to upload telemetry
03-31 11:34:16.765 19566 19591 W GeckoEventDispatcher: No listener for AndroidCastDevice:SyncDevice
03-31 11:34:16.808 19566 19655 W InstanceID: Instance ID SDK is deprecated, org.mozilla.firefox_beta should update to use Firebase Instance ID
03-31 11:34:16.825   609 19651 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.825   609 19653 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.826   609 19652 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:16.851   609 19657 E ResolverController: No valid NAT64 prefix (204,<unspecified>/0)
03-31 11:34:17.123   939   997 W ActivityManager: Receiver with filter android.content.IntentFilter@d53c7e1 already registered for pid 19566, callerPackage is org.mozilla.firefox_beta
03-31 11:34:17.503 19566 19591 W GeckoLinker: /data/app/org.mozilla.firefox_beta-RjqSqD4WDIa-gDgCZN1BCA==/lib/arm/libsoftokn3.so: Relocation to NULL @0x000223d0 for symbol "__cxa_type_match"
03-31 11:34:17.526 19566 19591 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
03-31 11:34:17.526 19566 19591 W google-breakpad: 19673
03-31 11:34:17.526 19566 19591 W google-breakpad: 
03-31 11:34:17.526 19566 19591 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
03-31 11:34:17.527 19673 19591 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
03-31 11:34:18.626   804   872 E statsd  : Found dropped events: 1 error -19
03-31 11:34:18.701   939   997 W ActivityManager: Permission Denial: ActivityManagerShellCommand asks to run as user -2 but is calling from user 0; this requires android.permission.INTERACT_ACROSS_USERS_FULL
03-31 11:34:18.735   939  1417 W InputDispatcher: channel '8c2882a org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp (server)' ~ Consumer closed input channel or an error occurred.  events=0x9
03-31 11:34:18.735   939  1417 E InputDispatcher: channel '8c2882a org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp (server)' ~ Channel is unrecoverably broken and will be disposed!
03-31 11:34:18.736   939  4094 E InputDispatcher: Window handle Window{8c2882a u0 org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp} has no registered input channel
03-31 11:34:18.738   939  1116 W libprocessgroup: kill(-19566, 9) failed: No such process
03-31 11:34:18.739   939  3417 W InputDispatcher: Attempted to unregister already unregistered input channel '8c2882a org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp (server)'
03-31 11:34:18.744   939  4099 W ActivityTaskManager: Force removing ActivityRecord{5c8fc2f u0 org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp t40980}: app died, no saved state
03-31 11:34:18.760   939  1122 W ActivityManager: setHasOverlayUi called on unknown pid: 19566
03-31 11:34:18.773   939  4099 W ActivityManager: Unable to start service Intent { act=com.android.launcher3.WINDOW_OVERLAY dat=app://com.google.android.apps.nexuslauncher:10032?v=9&cv=14 pkg=com.google.android.googlequicksearchbox } U=0: not found
03-31 11:34:18.781   939  1116 W libprocessgroup: kill(-19566, 9) failed: No such process

Firefox Nightly does not crash.

(In reply to mauryahyd from comment #20)

Can I work on this?
Also, where can I find an ARM system image for Android Q? Currently, Android
Studio has ARM images only until Nougat. They no longer seem to be releasing
ARM system images for newer versions of Android.

If you'd like to help, that's fine, but I'll be looking at this.

I only found Android Q for i386. That's what I'm testing in the emulator.

Flags: needinfo?(mozilla)

Mike, are you taking on this bug then?

Flags: needinfo?(mozilla)

A note, if you want to get an extra device from ServiceNow you likely can - better than an emulator.

Yes, I requested a pixel from SErvice now.

Assignee: nobody → mozilla
Status: NEW → ASSIGNED
Flags: needinfo?(mozilla)

We're going to have to get the someone from the old Fennec team involved here.

We crash way before anything search related happens with Android Q and nightly.

We need to get all hands on deck here.

James can you help out here?

Flags: needinfo?(snorp)

Comment 27 is bug 1535196. Mike can use an AArch64 build of Fennec on Android Q to diagnose this bug.

Flags: needinfo?(snorp)

The reason Nightly doesn't crash is because it's aarch64.

All ARM builds crash.

And this crash in particular doesn't happen on aarch64.

I'm unassigning myself here. It's up to the Android team to figure out what's going on with ARM on Android Q before any other crashes can be investigated.

And as I said, this works fine on aarch64.

Assignee: mozilla → nobody
Status: ASSIGNED → NEW

The arm32 crash should be fixed in today's nightly (bug 1543555).

It fixed this crash as well.

Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1543555
No longer blocks: android-q
Product: Firefox for Android → Firefox for Android Graveyard
You need to log in before you can comment on or make changes to this bug.